// mixins library
@import "mixins.scss";
//
// Variables
// --------------------------------------------------
$white: #ffffff;
$black: #000000;
// Grays
// -------------------------
$gray-darker: lighten(#000, 13.5%); // #222
$gray-dark: lighten(#000, 20%); // #333
$gray: lighten(#000, 33.5%); // #555
$gray-light: lighten(#000, 60%); // #999
$gray-lighter: lighten(#000, 93.5%); // #eee
$grey-dark: #191919;
$grey-light: #f8f8f8;
$grey-light-footer: #d7d7d7;
//
// corporate colors
// -------------------------
$ocean-blue: #0855a0;
$blue: #0855a0;
$orange: #f3a530;
//
// Section colors
// -------------------------
$variant-blue: rgba(8, 85, 160, 0.05);
$code-green: #21a870;
$code-orange: $orange;
//
// Font Family
// -------------------------
$font-primary: "sourcesans-regular";
$font-primary-semibold: "sourcesans-semibold";
$font-primary-bold: "sourcesans-bold";
$font-primary-light: "sourcesans-light";
$font-secondary: "opensans-regular";
$font-secondary-semibold: "opensans-semibold";
$font-secondary-bold: "opensans-bold";
$font-icon: "cern-icons";

//
// Styles
// -------------------------
%footer-boxes-title {
  color: $grey-light-footer;
  font-family: "opensans-bold";
  @include font-size(1.8);
  line-height: 20px;
  margin: 0;
  padding: 0 0 30px;
  position: relative;
  text-transform: uppercase;

  &:after {
    background: $grey-light-footer;
    content: "";
    display: block;
    height: 2px;
    width: 38px;
    position: absolute;
    left: 0;
    bottom: 18px;
  }

  @media only screen and (max-width: 980px) {
    &:after {
      width: 90%;
    }
  }

  @media only screen and (max-width: 480px) {
    &:after {
      width: 100%;
    }
  }
}

%h1 {
  border: 0;
  font-family: "opensans-bold";
  @include font-size(4);
  font-weight: normal;
  line-height: 50px;
  margin-top: 20px;
  margin-bottom: 10px;
}

%h2 {
  border: 0;
  @include font-size(3.5);
  font-family: "opensans-bold";
  font-weight: normal;
  line-height: 40px;
  margin-top: 20px;
  margin-bottom: 10px;
}

%h3 {
  border: 0;
  font-family: "opensans-bold";
  @include font-size(2.6);
  font-weight: normal;
  line-height: 29px;
  margin-top: 20px;
  margin-bottom: 10px;
}

%h4 {
  border: 0;
  font-family: "opensans-bold";
  @include font-size(1.8);
  font-weight: normal;
  line-height: 20px;
  margin-top: 20px;
  margin-bottom: 10px;
}

%h5 {
  border: 0;
  font-family: "opensans-bold";
  @include font-size(1.4);
  font-weight: normal;
  line-height: 15px;
  margin-top: 10px;
  margin-bottom: 10px;
}

%h6 {
  border: 0;
  font-family: "opensans-regular";
  @include font-size(1.2);
  font-weight: normal;
  line-height: 13px;
  margin-top: 10px;
  margin-bottom: 10px;
}

%content_text {
  font-family: "sourcesans-regular";
  @include font-size(1.6);
  font-weight: normal;
  line-height: 25px;
}

//
// Bootstrap variables
// -------------------------
$brand-primary: $ocean-blue;
$brand-success: #5cb85c;
$brand-info: #5bc0de;
$brand-warning: #f0ad4e;
$brand-danger: #d9534f;
//** Number of columns in the grid.
$grid-columns: 12;
//** Padding between columns. Gets divided in half for the left and right.
$grid-gutter-width: 0px;
// border radius
$border-radius-base: 0px;
$border-radius-large: 0px;
$border-radius-small: 0px;
//icons
$bootstrap-sass-asset-helper: false;
$icon-font-name: "glyphicons-halflings-regular";
$icon-font-svg-id: "glyphicons_halflingsregular";
$icon-font-path: "../sass/bootstrap/fonts/bootstrap/";
